#include "GameGirl.h"

int Joystick_X_Zero=512;
int Joystick_Y_Zero=512;

void ConfigProcessor(void)
{
	TRISA = 0b11011111;	// XXXXXX | XXXXXX | LEDRED | XXXXXX | XXXXXX | SW_JOY |  joyGD |  joyHB |
	TRISB = 0b00000000; // XXXXXX |     BL | ENABLE |     RX |     RS |    CSB |    CSA |    RST |
	TRISC = 0b11111111; // RECEIV | TRANSM | B_GREE | B_BLUE | B_YELL |  B_RED | XXXXXX | XXXXXX |
	TRISD = 0b00000000; // DATA.7 | DATA.6 | DATA.5 | DATA.4 | DATA.3 | DATA.2 | DATA.1 | DATA.0 |
	TRISE = 0b110;		// XXXXXX | XXXXXX | LEDGRE |
	OpenADC (ADC_FOSC_2 & ADC_RIGHT_JUST & ADC_3ANA_0REF , ADC_INT_OFF );		
}

int Joystick_X(void)
{	int JX;
	SetChanADC(ADC_CH1);	//on choisi AN0 en entre (joyHB)
	Delay10TCYx(5);			//on attend 50 cycles
	ConvertADC();			//on lance la conversion
	while(BusyADC());		//on ne fait rien tant que ce n'est pas termin
	JX = ReadADC();			//on place la valeur lue dans une variable
	JX = JX-Joystick_X_Zero;//on fait un dcalage de l'origine (repere -512/512)
	return JX;				//on retourne la valeur convertie convenablement.
}

int Joystick_Y(void)
{	int JY;
	SetChanADC(ADC_CH0);	//on choisi AN1 en entre (joyGD)
	Delay10TCYx(5);			//on attend 50 cycles
	ConvertADC();			//on lance la conversion
	while(BusyADC());		//on ne fait rien tant que ce n'est pas termin
	JY = ReadADC();			//on place la valeur lue dans une variable
	JY = JY-Joystick_Y_Zero;//on fait un dcalage de l'origine (repere -512/512)
	return JY;				//on retourne la valeur convertie convenablement.
}