#ifndef __GAMEGIRL__
#define __GAMEGIRL__


#include <p18f452.h>
#include <adc.h>
#include <delays.h>



//dfinition des constantes et des prototypes des fonctions


//--- LEDS ---//

#define Led_Green PORTEbits.RE0			//led verte
										//active  l'tat 0

#define Led_Red PORTAbits.RA5			//led rouge
										//active  l'tat 0


//--- BOUTONS ---//

#define Button_Green PORTCbits.RC5		//bouton vert
										//actif  l'tat 0

#define Button_Blue	PORTCbits.RC4		//bouton bleu
										//actif  l'tat 0

#define Button_Red PORTCbits.RC2		//bouton rouge
										//actif  l'tat 0

#define Button_Yellow PORTCbits.RC3		//bouton jaune
										//actif  l'tat 0


//--- JOYSTICK ---//

#define joyHB PORTAbits.RA0				//joystick haut/bas

#define joyGD PORTAbits.RA1				//joystick gauche/droit

#define sw_joy PORTAbits.RA2			//joystick bouton


//--- TRANSMISSION ---//

#define TRANSMIT PORTCbits.RC7			//RX

#define RECEIVE PORTCbits.RC6			//TX


//--- PROTOTYPES ---//

void ConfigProcessor(void);
//fonction pour configurer les port entre/sortie du microcontrleur

int Joystick_X(void);
//fonction qui envoie la position horizontale du joystick compris entre -512 et 512

int Joystick_Y(void);
//fonction qui envoie la position verticale du joystick compris entre -512 et 512

#endif