#ifndef __rpg__
#define __rpg__

#include "GameGirl.h"
#include "lcd.h"


//-----// AFFICHAGES //-----//

//message
void Message(const rom char *tab);

//lieux
void AfficheLevel(const rom char *Level);

//monstres
void AfficheMonster(const rom char *Monster, char *pvm, char *atkm);

//aire de combat
void BattleHUD(const rom char *Monster, char *pv, char *pm, char *pvm);


//-----// COMBATS //-----//

//gestion du combat
void Battle(const rom char *Monster, char *pv, char *pm, char *pvm, char *atkm);

//menu attaque
void BattleATK(char *pv, char *pm, char *pvm, char *atkm);

//menu magie
void BattleMAG(char *pv, char *pm, char *pvm, char *atkm);

//menu objets
void BattleOBJ(char *pv, char *pm, char *pvm, char *atkm);

//fuite (non disponible en version dmo)
void BattleFLEE(void);

//attaque du monstre
void MonsterATK(char *pv, char *atkm);

//mort du hros et game over
void Death(void);



#endif